File: pythonlibs.patch

package info (click to toggle)
mysql-workbench 6.3.8%2Bdfsg-1
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 113,932 kB
  • ctags: 87,814
  • sloc: ansic: 955,521; cpp: 427,465; python: 59,728; yacc: 59,129; xml: 54,204; sql: 7,091; objc: 965; makefile: 638; sh: 613; java: 237; perl: 30; ruby: 6; php: 1
file content (19 lines) | stat: -rw-r--r-- 587 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
Last-Update: 2014-04-02
Forwarded: no
Author: Dmitry Smirnov <onlyjob@member.fsf.org>
Description: look for libpython2.7 (fixes FTBFS in presence of python3).

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -68,8 +68,11 @@
     unset(ANTLR3C_FOUND)
   endif ()
 endif ()
 
+set(Python_ADDITIONAL_VERSIONS "2.7")
+#include(FindPythonLibs)
+
 # In Ubuntu 13.04, the built-in check for python fails.. so we have to resort to the check with pkg-config (which doesn't work in many distros)
 find_package(PythonLibs 2.6)
 if (NOT PYTHONLIBS_FOUND)
     pkg_check_modules(PYTHON REQUIRED python)